using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;


namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IReportLogicDoctor
	{
		List<ReportDrugsVisitsViewModel> GetVisitsDrugs(ReportDrugsVisitsBindingModel model);
		List<ReportPurchaseMedicationViewModel> GetPurchaseMedications(ReportPurchaseMedicationBindingModel model);
		void SavePurchasesToWordFile(ReportPurchaseMedicationBindingModel model);
		void SavePurchasesToExcelFile(ReportPurchaseMedicationBindingModel model);
		void SaveMedicationsToPdfFile(ReportDrugsVisitsBindingModel model);
	}
}
